apiVersion: apps/v1
kind: Deployment
metadata:
  name: eclipsefdn-media-link-api
  namespace: foundation-internal-webdev-apps
  labels:
    app: eclipsefdn-media-link-api
    environment: production
spec:
  selector:
    matchLabels:
      app: eclipsefdn-media-link-api
      environment: production
  replicas: 1
  template:
    metadata:
      labels:
        app: eclipsefdn-media-link-api
        environment: production
    spec:
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
          - preference:
              matchExpressions:
              - key: speed
                operator: NotIn
                values:
                - fast
            weight: 1
      automountServiceAccountToken: false
      containers:
      - name: app
        image: eclipsefdn/eclipsefdn-media-link-api:latest
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 8090
        resources:
          limits:
            cpu: 300m
            memory: 384Mi
            ephemeral-storage: "100Mi"
          requests:
            cpu: 300m
            memory: 384Mi
            ephemeral-storage: "100Mi"
        startupProbe:
            httpGet:
              path: /media/q/health
              port: 8090
              scheme: HTTP
            timeoutSeconds: 1
            initialDelaySeconds: 15
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
        livenessProbe:
            httpGet:
              path: /media/q/health
              port: 8090
              scheme: HTTP
            timeoutSeconds: 1
            initialDelaySeconds: 60
            periodSeconds: 60
            successThreshold: 1
            failureThreshold: 3
        env: 
        - name: CONFIG_SECRET_PATH
          value: "/run/secrets/media-link-api/secret.properties"
        volumeMounts:
        - name: secret-properties
          mountPath: "/run/secrets/media-link-api"
          readOnly: true
      volumes:
      - name: secret-properties
        secret:
          secretName: media-link-api
---
apiVersion: "v1"
kind: "Service"
metadata:
  name: eclipsefdn-media-link-api
  namespace: foundation-internal-webdev-apps
spec:
  ports:
  - name: "http"
    port: 80
    protocol: "TCP"
    targetPort: 8090
  selector:
    app: eclipsefdn-media-link-api
    environment: production
---
apiVersion: "route.openshift.io/v1"
kind: "Route"
metadata:
  name: eclipsefdn-media-link-api
  namespace: foundation-internal-webdev-apps
  annotations:
    haproxy.router.openshift.io/timeout: 20s
    haproxy.router.openshift.io/disable_cookies: "true"
    haproxy.router.openshift.io/balance: roundrobin
spec:
  host: "api.eclipse.org"
  path: "/media"
  port:
    targetPort: "http"
  tls:
    insecureEdgeTerminationPolicy: "Redirect"
    termination: "edge"
  to:
    kind: "Service"
    name: eclipsefdn-media-link-api
    weight: 100